org.optaplanner.core.impl.score.stream.drools.bi

## Class DroolsBiCondition<A,B>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.bi.DroolsBiCondition<A,B>

-     public final class DroolsBiCondition<A,B>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DroolsBiCondition(<any> aVariableDeclaration, Function<<any>,<any>> patternProvider)`
    `DroolsBiCondition(DroolsMetadata<Object,A> aMetadata, DroolsMetadata<Object,B> bMetadata)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DroolsBiCondition<A,B>` | `andFilter(BiPredicate<A,B> predicate)`
    `<C> DroolsTriCondition<A,B,C>` | `andJoin(DroolsUniCondition<C> cCondition, AbstractTriJoiner<A,B,C> triJoiner)`
    `List<<any>>` | `completeWithScoring(<any> scoreHolderGlobal)`
    `List<<any>>` | `completeWithScoring(<any> scoreHolderGlobal, BiFunction<A,B,BigDecimal> matchWeighter)`
    `List<<any>>` | `completeWithScoring(<any> scoreHolderGlobal, ToIntBiFunction<A,B> matchWeighter)`
    `List<<any>>` | `completeWithScoring(<any> scoreHolderGlobal, ToLongBiFunction<A,B> matchWeighter)`
    `DroolsMetadata<Object,A>` | `getAMetadata()`
    `DroolsMetadata<Object,B>` | `getBMetadata()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DroolsBiCondition

          public DroolsBiCondition(DroolsMetadata<Object,A> aMetadata,
                                   DroolsMetadata<Object,B> bMetadata)

    - #### DroolsBiCondition

          public DroolsBiCondition(<any> aVariableDeclaration,
                                   Function<<any>,<any>> patternProvider)

  - ### Method Detail

    - #### getAMetadata

          public DroolsMetadata<Object,A> getAMetadata()

    - #### getBMetadata

          public DroolsMetadata<Object,B> getBMetadata()

    - #### andFilter

          public DroolsBiCondition<A,B> andFilter(BiPredicate<A,B> predicate)

    - #### andJoin

          public <C> DroolsTriCondition<A,B,C> andJoin(DroolsUniCondition<C> cCondition,
                                                       AbstractTriJoiner<A,B,C> triJoiner)

    - #### completeWithScoring

          public List<<any>> completeWithScoring(<any> scoreHolderGlobal)

    - #### completeWithScoring

          public List<<any>> completeWithScoring(<any> scoreHolderGlobal,
                                                 ToIntBiFunction<A,B> matchWeighter)

    - #### completeWithScoring

          public List<<any>> completeWithScoring(<any> scoreHolderGlobal,
                                                 ToLongBiFunction<A,B> matchWeighter)

    - #### completeWithScoring

          public List<<any>> completeWithScoring(<any> scoreHolderGlobal,
                                                 BiFunction<A,B,BigDecimal> matchWeighter)

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.